Subject: Re: bug#8851: 24.0.50; regression: special-display-frame is no longer dedicated

From: martin rudalics <[email-masked]>
Date: Tue, 14 Jun 2011 11:15:13 +0200

> I didn't download the latest source files to apply your patch, but the build I'm
 > using is supposedly from today.  I applied your patch manually to its source
 > code, which means that I eval'ed these two updated definitions (below).  That
 > didn't help.

The first thing I would have to know is if `special-display-popup-frame'
gets called with your setup.  If, with emacs -Q, I evaluate

(let* ((special-display-regexps '("[ ]?[*][^*]+[*]"))
        (window (display-buffer (get-buffer-create "*foo*"))))
   (message "%s" (cons window (window-dedicated-p window))))

here, Emacs pops up a new frame and the message tells me the window and
that that window is strongly dedicated to its buffer.  If it does so on
your system, please try to step through `special-display-popup-frame'
once with your old, working Emacs and once with the latest version.  The
differences in arguments and behaviors should tell us what went wrong.

martin